org.apache.poi.hssf.model

## Class DrawingManager2

- java.lang.Object
- - org.apache.poi.hssf.model.DrawingManager2

-     public class DrawingManager2
      extends java.lang.Object

  Provides utilities to manage drawing groups.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawingManager2(EscherDggRecord dgg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `allocateShapeId(EscherDgRecord dg)` Allocates new shape id for the drawing group
    `int` | `allocateShapeId(short drawingGroupId)` Deprecated. in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)
    `int` | `allocateShapeId(short drawingGroupId, EscherDgRecord dg)` Deprecated. in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)
    `void` | `clearDrawingGroups()` Clears the cached list of drawing groups
    `EscherDgRecord` | `createDgRecord()` Creates a new drawing group
    `short` | `findNewDrawingGroupId()` Finds the next available (1 based) drawing group id
    `EscherDggRecord` | `getDgg()` Returns the drawing group container record
    `void` | `incrementDrawingsSaved()` Increment the drawing counter

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawingManager2

          public DrawingManager2(EscherDggRecord dgg)

  - ### Method Detail

    - #### clearDrawingGroups

          public void clearDrawingGroups()

      Clears the cached list of drawing groups

    - #### createDgRecord

          public EscherDgRecord createDgRecord()

      Creates a new drawing group
      Returns:
        a new drawing group

    - #### allocateShapeId

          @Deprecated
           @Removal(version="4.0")
          public int allocateShapeId(short drawingGroupId)

      Deprecated. in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)
      Allocates new shape id for the drawing group id.
      Parameters:
        `drawingGroupId` - the drawing group id
      Returns:
        a new shape id

    - #### allocateShapeId

          @Deprecated
           @Removal(version="4.0")
          public int allocateShapeId(short drawingGroupId,
                                                                          EscherDgRecord dg)

      Deprecated. in POI 3.17-beta2, use allocateShapeId(EscherDgRecord)
      Allocates new shape id for the drawing group
      Parameters:
        `drawingGroupId` - the drawing group id
        `dg` - the EscherDgRecord which receives the new shape
      Returns:
        a new shape id.

    - #### allocateShapeId

          public int allocateShapeId(EscherDgRecord dg)

      Allocates new shape id for the drawing group
      Parameters:
        `dg` - the EscherDgRecord which receives the new shape
      Returns:
        a new shape id.

    - #### findNewDrawingGroupId

          public short findNewDrawingGroupId()

      Finds the next available (1 based) drawing group id
      Returns:
        the next available drawing group id

    - #### getDgg

          public EscherDggRecord getDgg()

      Returns the drawing group container record
      Returns:
        the drawing group container record

    - #### incrementDrawingsSaved

          public void incrementDrawingsSaved()

      Increment the drawing counter

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.